package com.ssj.bean.sys.award.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name="tb_award_consume")
public class AwardConsume extends BaseEntity {
	
	private static final long serialVersionUID = 1L;
	
	private String fromMerchantId;
	
	private String toMerchantId;
	
	private String awardMaterialId;
	
	private Integer number;
	
	private Integer type;
	
	private String vipId; 
	
	private String remarks; 
	
	private Date createTime;

	public String getFromMerchantId() {
		return fromMerchantId;
	}

	public void setFromMerchantId(String fromMerchantId) {
		this.fromMerchantId = fromMerchantId;
	}

	public String getToMerchantId() {
		return toMerchantId;
	}

	public void setToMerchantId(String toMerchantId) {
		this.toMerchantId = toMerchantId;
	}

	public String getAwardMaterialId() {
		return awardMaterialId;
	}

	public void setAwardMaterialId(String awardMaterialId) {
		this.awardMaterialId = awardMaterialId;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	
	
	

}
